为了兼容ie8,有没有一些插件可以帮助css,jquery,html自动匹配以适配?

现在要做一个项目要能够兼容ie8及以上的浏览器,之前只是指导需要对ie8做兼容,初次接到这样的需求,想请教一下大家,有没有哪些插件或者工具可以帮助我们快速地给
1.css添加一些前缀,包括但是不止加上浏览器的前缀,比如还有一些css hack这样的工作呢?
2.jquery好像1.9的版本之后都不兼容ie,那这1.9之前的发送请求的方法是否有较于现在的jquery的变化吗?
3.会使用到layui,layui官网说兼容到ie8,有没有人用这个框架在ie上有哪些要注意的吗?
4.html是不是除了h5新标签,其他标签在ie'都表现良好呢?有没有相应的插件可以处理这方面的兼容问题呢?

万分期待大家的回复,时间太紧了又是初次接到要兼容ie8的,所以甚是不解,感谢!

回复
阅读 3k
2 个回答

加前缀有很多工具吧,但针对老版本,加前缀没意义,自动转化成相应代码js应该有工具。
主要就是css布局吧,框架搭起来,保证基本页面能看就行。用到css3特性一边查手册一边看吧(https://caniuse.com/)。
没特别要求的话,只保留最低效果,做渐进增强。有问题搜一下,基本都有人踩过坑。
jQuery 1.x的支持到ie6,小版本看插件选择使用。
现在都不搞这些了。ie6 ie7以前是噩梦,ie8印象不多,注意下ccs、js语法兼容性,应该问题不大。

请使用 css+div 布局, css3 一个不要用 推荐选用 bootstrap + jquery 来做

撰写回答
你尚未登录,登录后可以
  • 和开发者交流问题的细节
  • 关注并接收问题和回答的更新提醒
  • 参与内容的编辑和改进,让解决方法与时俱进
推荐问题
宣传栏